List groups
curl --request GET \
--url https://api.gcore.com/fastedge/v1/admin/groups \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/fastedge/v1/admin/groups"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/admin/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"groups": [
{
"id": 123,
"name": "<string>",
"default_flag": false,
"descr": "Video streaming customers",
"client_count": 123,
"template_count": 123
}
],
"count": 123
}Groups
List groups
Retrieve collaboration groups for client organization and resource sharing. Groups enable sharing of binaries and templates between multiple clients.
GET
/
fastedge
/
v1
/
admin
/
groups
List groups
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Filter by template ID (shows groups that include this template)
Filter by template ID (shows groups that exclude this template)
Filter by client ID (shows groups that include this client)
Filter by client ID (shows groups that exclude this client)
Filter by group name (case-insensitive partial match)
Maximum number of results to return (default 10)
Number of results to skip for pagination
Was this page helpful?